## org.hibernate
Class TypeMismatchException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.TypeMismatchException

All Implemented Interfaces:
  Serializable

    public class TypeMismatchException

extends HibernateException

Used when a user provided type does not match the expected one

Author:
  Emmanuel Bernard
See Also:
  Serialized Form

Constructor Summary
`TypeMismatchException(String s)`
`TypeMismatchException(String string, Throwable root)`
`TypeMismatchException(Throwable root)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TypeMismatchException

    public TypeMismatchException(Throwable root)

### TypeMismatchException

    public TypeMismatchException(String s)

### TypeMismatchException

    public TypeMismatchException(String string,
                                 Throwable root)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.